gcc-11 (11.5.0-11ubuntu2) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 29 Mar 2026 14:21:04 +0200

gcc-11 (11.5.0-11) unstable; urgency=medium

  * Update the PR ada/107475 patch from the gcc-13 branch.
  * Update the ada-armel-libatomic patch for PR ada/107475.

 -- Matthias Klose <doko@debian.org>  Sun, 29 Mar 2026 13:23:17 +0200

gcc-11 (11.5.0-10ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2026 10:02:28 +0100

gcc-11 (11.5.0-10) unstable; urgency=medium

  * Fix PR tree-optimization/118976, taken from the gcc-12 branch.
    Closes: #1123631.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Mar 2026 09:59:37 +0100

gcc-11 (11.5.0-9ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Feb 2026 10:40:53 +0100

gcc-11 (11.5.0-9) unstable; urgency=medium

  * Fix PR go/105225, taken from the trunk. Closes: #1128862.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Feb 2026 10:32:12 +0100

gcc-11 (11.5.0-8ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Jan 2026 05:40:54 +0100

gcc-11 (11.5.0-8) unstable; urgency=medium

  * Add architectureVariant to ELF_PACKAGE_METADATA.
  * Stop building multilibs for s390x. Closes: #1125354.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jan 2026 17:18:35 +0100

gcc-11 (11.5.0-7ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Sep 2025 10:33:14 +0200

gcc-11 (11.5.0-7) unstable; urgency=medium

  * Bump debhelper version to 11.
  * Update the libsanitizer-termio patch and only apply it for glibc (>= 2.42).

 -- Matthias Klose <doko@debian.org>  Thu, 11 Sep 2025 10:29:44 +0200

gcc-11 (11.5.0-6) unstable; urgency=medium

  * libstdc++-dev: Fix dependency on libc, when libstdc++ is not built.
  * Stop building the amdgcn offload compiler for forky.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Sep 2025 09:56:08 +0200

gcc-11 (11.5.0-5ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Sep 2025 12:24:58 +0200

gcc-11 (11.5.0-5) unstable; urgency=medium

  * Backport libgphobos fix for sparc64.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Sep 2025 12:17:46 +0200

gcc-11 (11.5.0-4) unstable; urgency=medium

  * Fix module support with glibc 2.41 on hppa. Closes: #1113975.
  * Build libgphobos on sparc64.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 22:25:01 +0200

gcc-11 (11.5.0-3) unstable; urgency=medium

  * On ppc64el configure --with-long-double-format=ieee for upcoming distros.
  * Address PR libstdc++/103382, when not building the common libs, install
    the library in the gcc_lib_dir to link against the libstdc++ from this
    GCC version.
  * libsanitizer: Fix build with glibc 2.42.
  * Build full libgphobos on ppc64el for IEEE long double.
  * Disable building gm2 for this upload.
  * Disable building gccbrig, so we can remove hsail-tools.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Sep 2025 13:39:36 +0200

gcc-11 (11.5.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Jan 2025 20:56:58 +0100

gcc-11 (11.5.0-2) unstable; urgency=medium

  * Fix running the tests with exactly one dejagnu run.
  * Fix amdgcn-tools links for the amdgcn offload install.
  * Fix check for assembler section merging support on ARM, see binutils
    PR ld/32491.
  * d/control: Add Rules-Requires-Root: binary-targets. Too late for trixie.
  * Rewrite the logwatch script to look at all log files.
  * Fix PR libgomp/117851, taken from the trunk.
  * Build-depend on git, needed for the gotools tests.
  * Don't run the libgo tests for multilibs, that cannot run.
  * Don't run the gnat and gm2 tests for multilibs, which are not built.
  * Drop the package-metadata spec, now implemented in the linkers.
  * Fix libphobos testsuite with sbuild's unshare backend. Addresses: #1089007.
  * Bump standards version.
  * Refresh patches.
  * Remove the ada-nobiarch-check patch, superseded.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Jan 2025 20:50:17 +0100

gcc-11 (11.5.0-1ubuntu1) oracular; urgency=medium

  * GCC 11.5.0 release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Jul 2024 11:20:38 +0200

gcc-11 (11.5.0-1) unstable; urgency=medium

  * GCC 11.5.0 release.
  * Refresh patches.
  * Pass --package-metadata on distros with supporting linkers (starting
    with Debian trixie and Ubuntu noble).
    The package metadata is constructed from the environment variables
    ELF_PACKAGE_METADATA.
    Setting NO_PKG_METADATA=1 disables the generation of the package metadata.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Jul 2024 11:08:27 +0200

gcc-11 (11.4.0-10ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jul 2024 15:06:17 +0200

gcc-11 (11.4.0-10) unstable; urgency=medium

  * Update to git 20240711 from the gcc-11 branch (11.5.0 release candidate).
    - Fix PR middle-end/115836, PR target/115475 (AArch64),
      PR target/115457 (AArch64), PR middle-end/112732, PR target/115691 (PA),
      PR target/114846 (PPC), PR middle-end/110176, PR tree-optimization/111070,
      PR tree-optimization/111039, PR debug/111080, PR tree-optimization/111445,
      PR tree-optimization/112495, PR tree-optimization/112505, PR debug/112718,
      PR tree-optimization/112793, PR tree-optimization/114027,
      PR middle-end/114734, PR driver/115440, PR tree-optimization/115337,
      PR middle-end/108789, PR rtl-optimization/114902,
      PR rtl-optimization/115092, PR sanitizer/114956, PR fortran/114825,
      PR tree-optimization/114876, PR rtl-optimization/114768,
      PR middle-end/114753, PR c++/114634, PR middle-end/110027,
      PR tree-optimization/114566, PR c++/114537, PR middle-end/113907,
      PR target/114310 (AArch64), PR rtl-optimization/110079,
      PR target/114184 (x86), PR c++/113674, PR tree-optimization/113603,
      PR target/113122 (x86), PR tree-optimization/113372, PR middle-end/90348,
      PR middle-end/110115, PR middle-end/111422, PR target/115253 (ARM),
      PR rtl-optimization/100303, PR rtl-optimization/108086,
      PR target/113281, PR tree-optimization/115192, PR target/115297 (alpha),
      PR sanitizer/115172, PR tree-optimization/110386,
      PR tree-optimization/111331, PR middle-end/95351, PR target/101865 (PPC),
      PR target/105522 (Darwin), PR target/114837 (ARM), PR target/88309 (PPC),
      PR target/105599, PR sanitizer/111736, PR tree-optimization/111736,
      PR sanitizer/111736, PR tree-optimization/113552, PR middle-end/114599,
      PR tree-optimization/114115, PR target/114130 (RISCV), PR c/114007,
      PR c++/113674, PR c/113262, PR c++/89224, PR c/114493, PR c++/104051,
      PR c++/101765, PR c++/100772, PR c++/99710, PR c++/114691, PR c++/114572,
      PR c++/113598, PR c++/111529, PR c++/100667, PR c++/114561, PR c++/114562,
      PR c++/89224, PR middle-end/111632, PR c/114007, PR target/115360 (ARM),
      PR c++/114572, PR libgomp/113192, PR testsuite/66005,
      PR libquadmath/114533, PR libstdc++/114401, PR libstdc++/104259,
      PR libstdc++/115575, PR libstdc++/115454, PR libstdc++/115269,
      PR libstdc++/114803, PR libstdc++/114750, PR libstdc++/109822,
      PR libstdc++/110054, PR libstdc++/114147, PR target/112397.
  * Starting with Ubuntu 24.10, stop building s390x multilibs.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Jun 2024 18:15:07 +0200

gcc-11 (11.4.0-9ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Apr 2024 10:32:22 +0200

gcc-11 (11.4.0-9) unstable; urgency=medium

  * Update to git 20240412 from the gcc-11 branch.
    - Fix PR fortran/114474.
  * Fix the gm2 bootstrap.

 -- Matthias Klose <doko@debian.org>  Fri, 12 Apr 2024 09:13:08 +0200

gcc-11 (11.4.0-8ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Apr 2024 15:08:02 +0200

gcc-11 (11.4.0-8) unstable; urgency=medium

  * Update to git 20240403 from the gcc-11 branch.
    - Fix PR tree-optimization/111407, PR sanitizer/97696,
      PR target/108743 (Darwin), PR target/101737 (SH), PR target/114098 (x86),
      PR target/110411 (PPC), PR target/108120 (ARM),
      PR target/111677 (AArch64), PR middle-end/113921,
      PR tree-optimization/110422, PR target/112816 (x86),
      PR middle-end/112733, PR target/112845 (x86), PR target/112837 (x86),
      PR target/112816 (x86), PR target/111408 (x86),
      PR tree-optimization/110731, PR tree-optimization/111917,
      PR tree-optimization/111614, PR tree-optimization/111764,
      PR middle-end/111818, PR tree-optimization/110298, PR debug/110295,
      PR ada/113979, PR ada/113893, PR preprocessor/105608,
      PR c++/103185, PR c++/111485, PR c++/92145, PR c++/92407,
      PR c++/108975, PR sanitizer/112727, PR c++/112795,
      PR d/114171, PR d/113758, PR d/113125, PR fortran/107426,
      PR fortran/50410, PR fortran/103715, PR fortran/104908, PR objc/101718,
      PR libfortran/110651, PR libstdc++/113250, PR testsuite/113175.
  * d/p/gcc-distro-defaults: Make -fstack-protector-explicit known.
  * Make vhdl known to the PPC backend.
  * ASan: move allocator base to avoid conflict with high-entropy ASLR
    for x86-64 Linux. Patch taken from LLVM. LP: #2048768.
  * libsanitizer: Remove crypt and crypt_r interceptors for releases
    with glibc (>= 2.31).
  * Pass -D_TIME_BITS=64 together with -D_FILE_OFFSET_BITS=64 by default
    on the 32bit architectures armel, armhf, hppa, m68k, mips, mipsel,
    powerpc (-m32 only) and sh4.
  * PR libstdc++/99832, std::chrono::system_clock::{from,to}_time_t:
    Add ABI tag for timet64.
  * Fix libsanitizer build with _TIME_BITS set.
  * Apply the proposed patch for PR ada/114064, gnat builds with 64bit time_t.
  * Apply patch for PR libquadmath/114533, taken from the trunk (Simon Chopin).
    Addresses: #1064426. LP: #2052929.
  * Revert back _FORTIFY_SOURCE to 2, 3 not supported by GCC 11.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Apr 2024 15:04:39 +0200

gcc-11 (11.4.0-7ubuntu2) noble; urgency=medium

  * Revert back _FORTIFY_SOURCE to 2, 3 not supported by GCC 11.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Dec 2023 11:00:44 +0100

gcc-11 (11.4.0-7ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Dec 2023 10:02:41 +0100

gcc-11 (11.4.0-7) unstable; urgency=medium

  * Update to git 20231215 from the gcc-11 branch.
    - Fix PR target/112891 (x86).
  * For Ubuntu 24.04 LTS and later, switch _FORTIFY_SOURCE to 3 by default
    instead of 2 when optimization is enabled.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Dec 2023 09:25:37 +0100

gcc-11 (11.4.0-6ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Dec 2023 15:40:39 +0100

gcc-11 (11.4.0-6) unstable; urgency=medium

  * Update to git 20231203 from the gcc-11 branch.
    - Fix PR target/112672 (x86), PR target/111815 (vax), PR fortran/111880,
      PR libstdc++/112491, PR libstdc++/112491.
  * Add support to build from a combined binutils/GCC tree.
  * Remove references to obsolete CPUs m32r and tilegx. Closes: #1056767.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Dec 2023 15:19:11 +0100

gcc-11 (11.4.0-5ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Oct 2023 10:36:49 +0100

gcc-11 (11.4.0-5) unstable; urgency=medium

  * Update to git 20231024 from the gcc-11 branch.
    - Fix PR target/111001 (SH), PR target/111367 (PPC), PR target/101177 (SH),
      PR target/110170 (x86), PR middle-end/111699, PR c++/106310,
      PR c++/106890, PR c++/109666, PR fortran/111837, PR libstdc++/108178,
      PR libstdc++/104161, PR libstdc++/99327, PR libstdc++/111050,
      PR libstdc++/111511, PR c++/111512, PR c++/111357.
    - Fix return register handling in untyped_call (AArch64).
  * Update the libquadmath portions of the copyright file. Addresses: #1052314.
  * Configure with --disable-s390-excess-float-precision for sid/trixie and
    Ubuntu noble (24.04 LTS).

 -- Matthias Klose <doko@debian.org>  Tue, 24 Oct 2023 14:41:56 +0200

gcc-11 (11.4.0-4ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Sep 2023 13:56:23 +0200

gcc-11 (11.4.0-4) unstable; urgency=medium

  * Update to git 20230913 from the gcc-11 branch.
    - Fix PR target/111340 (x86), PR target/96762 (PPC).
    - Address stack protector and stack clash protection weaknesses
      on AArch64. CVE-2023-4039.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Sep 2023 13:49:10 +0200

gcc-11 (11.4.0-3ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Sep 2023 11:25:00 +0200

gcc-11 (11.4.0-3) unstable; urgency=medium

  * Update to git 20230904 from the gcc-11 branch.
    - Fix PR tree-optimization/110914, PR tree-optimization/111015,
      PR target/110741 (PPC), PR target/101469 (SH), PR c++/109761,
      PR fortran/107397, PR fortran/103506, PR fortran/95947,
      PR fortran/110658, PR fortran/110288, PR libstdc++/95048,
      PR libstdc++/95048.
  * libgccjit-11-doc: Relax dependency on the gcc-11-base package.
  * Fix some lintian warnings.
  * gcc-11-doc: Fix installation of the libitm info file. LP: #1936394.
  * Update sanitizer symbols files.
  * Address some lintian warnings:
    - Be quiet about libstdc++-doc manpages.
    - Don't complain about unstripped sanitizer libraries.
  * Disable Ada, Go, D, Modula-2 frontends on loong64.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Sep 2023 11:15:14 +0200

gcc-11 (11.4.0-2ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Jul 2023 19:14:45 +0200

gcc-11 (11.4.0-2) unstable; urgency=medium

  * Update to git 20230710 from the gcc-11 branch.
    - Fix PR target/105325 (PR), PR rtl-optimization/110237,
      PR target/110309 (x86), PR testsuite/66005, PR target/109932 (PPC),
      PR target/110011 (PPC), PR middle-end/110200, PR target/109800 (ARM),
      PR target/110044 (PPC), PR tree-optimization/109505,
      PR target/109954 (x86), PR d/108842, PR d/110516, PR d/110511,
      PR d/110359, PR fortran/110585, PR fortran/96024, PR fortran/100607,
      PR libstdc++/95048, PR libstdc++/104242, PR libstdc++/109822.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Jul 2023 19:00:26 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gcc-11-base`.
